DIFF3(1)

NIMI
diff3 - vertaa kolmea tiedostoa rivi riviltä

YLEISKATSAUS
diff3 [OPTION]... MYFILE OLDFILE YOURFILE

KUVAUS
Vertaa kolmea tiedostoa rivi riviltä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-A, --show-all
    tulosta kaikki muutokset, ristiriidat merkiten

-e, --ed
    tulosta TIEDOSTOONI ed-skripti, joka sisältää VANHANTIEDOSTON muutokset verrattuna TIEDOSTOOSI

-E, --show-overlap
    kuin -e, mutta ristiriidat merkiten

-3, --easy-only
    kuin -e, mutta vain ei-päällekkäiset muutokset

-x, --overlap-only
    kuin -e, mutta vain päällekkäiset muutokset

-X  kuin -x, mutta ristiriidat merkiten

-i  lisää komennot ”w” ja ”q” ed-skripteihin

-m, --merge
    tulosta varsinainen yhdistetty tiedosto -A:n mukaisesti ellei muita valitsimia annettu

-a, --text
    käsittele kaikki tiedostot tekstinä

--strip-trailing-cr
    poista vaununpalautus syötteen lopusta

-T, --initial-tab
    kohdista sarkaimet lisäämällä sarkaimia

--diff-program=PROGRAM
    käytä OHJELMAa tiedostojen vertaamiseen

-L, --label=LABEL
    käytä NIMIÖtä tiedostonimen sijaan (voidaan toistaa enintään kolmesti)

--help
    näytä tämä ohje ja poistu

-v, --version
    näytä versiotiedot ja poistu

Oletustulostusmuoto on jossain määrin ihmisluettava esitys muutoksista.

Valitsimet -e, -E, -x, -X (ja vastaavat pitkät) johtavat ed(1)-skriptin tulostamiseen oletusmuodon sijaan.

Valitsin -m (--merge) saa diff3:n tekemään yhdistämisen sisäisesti ja tulostamaan varsinaisen yhdistetyn tiedoston. Epätavalliselle syötteelle tämä on vankempaa kuin edin käyttäminen.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä. Paluuarvo on onnistuessa 0, ristiriitatilanteissa 1, ja ongelmatilanteissa 2.

TEKIJÄ
Kirjoittanut Randy Smith.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-diffutils@gnu.org
GNU diffutils-kotisivu: <https://www.gnu.org/software/diffutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>

TEKIJÄNOIKEUDET
Copyright © 2025 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
cmp(1), diff(1), sdiff(1)

Ohjelman diff3 täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja diff3 on täysin asennettu, komennon

    info diff3

pitäisi antaa täydellinen manuaali luettavaksi.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tommi Vainikainen <mucus@pcuf.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.